# Basic Helm values overrides for a Chef 360 Platform deployment.
# Replace all <PLACEHOLDER> values before use.
global:
  # Set to true to use a custom StorageClass instead of the default gp2 on managed Kubernetes clusters.
  managedCluster: true
  ecr:
    ECR_URI: "proxy.chef360.chef.io/proxy/chef-360/448877188565.dkr.ecr.us-east-2.amazonaws.com/beta-development"
  docker:
    DOCKER_BITNAMI_URI: "proxy.chef360.chef.io/proxy/chef-360/448877188565.dkr.ecr.us-east-2.amazonaws.com/beta-development"
  # Cluster deployment topology.
  # Options: hyperconverged-ha, hyperconverged-nonha, tiered-ha, hyperscaled-ha
  topology: hyperconverged-nonha
  # Default storage class for Amazon EKS. Change this value if you're using a different storage class.
  storageClass: <STORAGE_CLASS>

  # ---------------------------------------------------------------------------
  # Primary tenant and SMTP integration
  # ---------------------------------------------------------------------------
  tenants:
    - tenant:
      # Public DNS of your cluster endpoint or load balancer.
      fqdn: <FQDN>:31000
      # Unique identifier for the tenant.
      slug: <TENANT_SLUG>
      # Display name for the tenant.
      name: <ORGANIZATION_NAME>
      # Set to true if using HTTPS.
      is_https: false
      enabled: true
      # Uncomment and add the root CA certificate if using a private CA for TLS.
      # root_ca: |
      #   <ROOT_CA_CERTIFICATE>
      # Set to true to skip TLS verification. Not recommended for production.
      insecure: true
      notification_integration_name: Default-SMTP
      notification_integration_username: <SMTP_USERNAME>
      notification_integration_password: <SMTP_PASSWORD>
      notification_integration_senderemail: <SENDER_EMAIL>
      notification_integration_rootca:
      notification_integration_auth_type: none
      notification_integration_ssl_enable: false
      notification_integration_skip_validation: false
      notification_integration_smtp_host: mailpit
      notification_integration_smtp_port: 1025
      notification_integration_retry_enable: true
      notification_integration_no_of_retries: 2
      tenant_admin_email: <ADMIN_EMAIL>
      tenant_admin_first_name: <FIRST_NAME>
      tenant_admin_last_name: <LAST_NAME>
      ou_name: <ORGANIZATION_NAME>
      ou_description: ""
      create_default_skill_assembly: true
      license_base64: "<CHEF_360_PLATFORM_LICENSE>"

  log_level: info
  chef_habitat:
    # Set to true to enable an on-premises Chef Habitat installation.
    enabled: false

chef-platform:
  # ---------------------------------------------------------------------------
  # Gateway and API configuration
  # ---------------------------------------------------------------------------
  chef-services:
    platform-services:
      public-api-gateway:
        is_onprem: true
  # ---------------------------------------------------------------------------
  # Metrics Server configuration
  # ---------------------------------------------------------------------------
  metrics-server:
    # Set to true to install the metrics server. Required for horizontal pod autoscaling (HPA).
    enabled: true

kots:
  configuration:
    eula:
      # Set to true to accept the EULA. Required for installation to proceed.
      accepted: true

preflightConfig:
  # Set to true to enforce strict preflight checks.
  # Set to false to allow installation to proceed with warnings.
  strict: true